/** 
 *   Site testing for SKA candidate.
 *
 *   (c) Copyright 2004 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 *   TODO:
 *        *) Data save.
 *        *)
 *
 *
 **/

#define _GNU_SOURCE

#include <stdio.h>

#include "observ_table.h"
#include "analyzer.h"

int get_observ( int dev, struct observ *obsp, double *data)
{
	int ret;

	while (analyzer_get_observ( dev, obsp, data) != 0) {
		if ((ret = analyzer_reset(dev)) != 0){
			return ret;
		}
	}

	return 0;
}


int observ_mode(int mode, int dev, struct observ *obs)
{
	struct observ *obsp = obs;
	double data[AN_MAX_POINTS];
	int i, error;

	while (obsp != NULL) {
		if (obsp->mode == mode) {
			/* TODO: open output file */
			for(i = 0; i < obsp->repetitions; i++){
				error = get_observ( dev, obsp, data);
				if (error) {
					/* TODO: close file */
					return error;
				}
				/* TODO: save track */
			}
			/* TODO: close output file */
		}
		obsp = obsp->next;
	}


	return 0;
}
